## xsettings-client

xsettings-client —

## Synopsis

                XSettingsClient;
    enum        XSettingsAction;
    void        (*XSettingsNotifyFunc)          (const char *name,
                                                 XSettingsAction action,
                                                 XSettingsSetting *setting,
                                                 void *cb_data);
    void        (*XSettingsWatchFunc)           (Window window,
                                                 Bool is_start,
                                                 long              mask,
                                                 void *cb_data);
    XSettingsClient* xsettings_client_new       (Display *display,
                                                 int screen,
                                                 XSettingsNotifyFunc notify,
                                                 XSettingsWatchFunc watch,
                                                 void *cb_data);
    void        xsettings_client_destroy        (XSettingsClient *client);
    Bool        xsettings_client_process_event  (XSettingsClient *client,
                                                 XEvent *xev);
    XSettingsResult xsettings_client_get_setting
                                                (XSettingsClient *client,
                                                 const char *name,
                                                 XSettingsSetting **setting);

## Description

## Details

### XSettingsClient

    typedef struct _XSettingsClient XSettingsClient;

### enum XSettingsAction

    typedef enum
    {
      XSETTINGS_ACTION_NEW,
      XSETTINGS_ACTION_CHANGED,
      XSETTINGS_ACTION_DELETED
    } XSettingsAction;

### XSettingsNotifyFunc ()

    void        (*XSettingsNotifyFunc)          (const char *name,
                                                 XSettingsAction action,
                                                 XSettingsSetting *setting,
                                                 void *cb_data);

`name` : |
`action` : |
`setting` : |
`cb_data` : |

### XSettingsWatchFunc ()

    void        (*XSettingsWatchFunc)           (Window window,
                                                 Bool is_start,
                                                 long              mask,
                                                 void *cb_data);

`window` : |
`is_start` : |
`Param3` : |
`cb_data` : |

### xsettings_client_new ()

    XSettingsClient* xsettings_client_new       (Display *display,
                                                 int screen,
                                                 XSettingsNotifyFunc notify,
                                                 XSettingsWatchFunc watch,
                                                 void *cb_data);

`display` : |
`screen` : |
`notify` : |
`watch` : |
`cb_data` : |
Returns : |

### xsettings_client_destroy ()

    void        xsettings_client_destroy        (XSettingsClient *client);

`client` : |

### xsettings_client_process_event ()

    Bool        xsettings_client_process_event  (XSettingsClient *client,
                                                 XEvent *xev);

`client` : |
`xev` : |
Returns : |

### xsettings_client_get_setting ()

    XSettingsResult xsettings_client_get_setting
                                                (XSettingsClient *client,
                                                 const char *name,
                                                 XSettingsSetting **setting);

`client` : |
`name` : |
`setting` : |
Returns : |